JAMA

# Class: EigenvalueDecomposition

Source Location: /PHPExcel/Shared/JAMA/EigenvalueDecomposition.php

### Class Overview

#### Author(s):

- Paul Meagher

#### Version:

- 1.1

### Methods

- __construct
- getD
- getImagEigenvalues
- getRealEigenvalues
- getV

### Class Details

[line 24]

#### Tags:

author: | Paul Meagher
version: | 1.1
license: | PHP

[ Top ]

### Class Methods

### constructor __construct [line 782]

`Structure __construct( A $Arg)`

Constructor: Check for symmetry, then construct the eigenvalue decomposition

#### Tags:

return: | to access D and V.
access: | public

#### Parameters:

A | $Arg | Square matrix

[ Top ]

### method getD [line 849]

`D getD( )`

Return the block diagonal eigenvalue matrix

#### Tags:

access: | public

[ Top ]

### method getImagEigenvalues [line 838]

`imag(diag(D)) getImagEigenvalues( )`

Return the imaginary parts of the eigenvalues

#### Tags:

access: | public

[ Top ]

### method getRealEigenvalues [line 827]

`real(diag(D)) getRealEigenvalues( )`

Return the real parts of the eigenvalues

#### Tags:

access: | public

[ Top ]

### method getV [line 816]

`V getV( )`

Return the eigenvector matrix

#### Tags:

access: | public

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:09 +0200 by phpDocumentor 1.4.4